Skip to content

Service metadata

GET https://api.moalmanac.org/about

Retrieves service metadata from the About table in the database.

Parameters

This endpoint takes no parameters.

Example request

curl "https://api.moalmanac.org/about"

Response

Returns the standard response envelope, with data set to the About record.

Example response
{
  "meta": {
    "data_length": 1,
    "message": "About metadata retrieved successfully",
    "request_url": "https://api.moalmanac.org/about",
    "status": "success",
    "status_code": 200,
    "timestamp_elapsed": 0.012345,
    "timestamp_received": "2026-10-16T14:03:12.123456Z",
    "timestamp_returned": "2026-10-16T14:03:12.135801Z",
    "trace_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  },
  "service": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  },
  "data": {
    "github": "https://github.com/vanallenlab/moalmanac-db",
    "name": "Molecular Oncology Almanac",
    "license": "GPL-2.0",
    "release": "draft",
    "url": "https://moalmanac.org",
    "last_updated": "2026-10-08"
  }
}